/* Common */
article thumbnail {
    background-position: center center;
    background-size: cover;
    display: block;
}

article thumbnail a {
    border-style: none !important;
    display: block;
    height: 100%;
    width: 100%;
}

article summary {
    overflow-y: hidden;
    text-align: justify;
}

/* Scroller Block */
scroller {
    height: 177px;
    padding: 3px 0 !important;
}

scroller block {
    left: 0;
    position: absolute;
    width: 3479px; /* 7 * (article width + padding) - 6 displayed plus wrap around duplicate */
}

scroller block,
scroller article {
    height: 157px;
}

scroller article {
    float: left;
    padding: 0 3px;
    position: relative;
    width: 491px;
}

scroller h4 {
    font-size: 13px;
    height: 16px;
    line-height: 16px;
    text-align: center;
    width: 100%;
}

scroller thumbnail,
scroller summary {
    float: left;
}

scroller thumbnail {
    height: 138px;
    width: 245px;
}

scroller summary {
    box-sizing: border-box;
    height: 123px;
    padding-left: 3px;
    padding-top: 15px;
    width: 246px;
}

scroller publisher,
scroller time {
    color: #333333;
    position: absolute;
    top: 19px;
}

scroller publisher {
    left: 251px;
}

scroller time {
    font-style: italic;
    right: 3px;
}

scroller a.more {
    bottom: 0;
    position: absolute;
    right: 3px;
}

scroller a.more:hover {
    padding-bottom: 1px;
}

/* Scrolled Selections */
scroller[data-curr="1"] block,
scroller[data-curr="2"] block,
scroller[data-curr="3"] block,
scroller[data-curr="4"] block,
scroller[data-curr="5"] block,
scroller[data-curr="6"] block {
    transition: left 500ms ease;
}

scroller[data-curr="1"] block {
    left: 0;
}
scroller[data-curr="2"] block {
    left: -497px;
}
scroller[data-curr="3"] block {
    left: -994px;
}
scroller[data-curr="4"] block {
    left: -1491px;
}
scroller[data-curr="5"] block {
    left: -1988px;
}
scroller[data-curr="6"] block {
    left: -2485px;
}

scroller[data-curr="1"] bullet[data-ref="1"] i.active,
scroller[data-curr="1"][data-view="2"] bullet[data-ref="2"] i.active,
scroller[data-curr="2"] bullet[data-ref="2"] i.active,
scroller[data-curr="2"][data-view="2"] bullet[data-ref="3"] i.active,
scroller[data-curr="3"] bullet[data-ref="3"] i.active,
scroller[data-curr="3"][data-view="2"] bullet[data-ref="4"] i.active,
scroller[data-curr="4"] bullet[data-ref="4"] i.active,
scroller[data-curr="4"][data-view="2"] bullet[data-ref="5"] i.active,
scroller[data-curr="5"] bullet[data-ref="5"] i.active,
scroller[data-curr="5"][data-view="2"] bullet[data-ref="6"] i.active,
scroller[data-curr="6"] bullet[data-ref="6"] i.active,
scroller[data-curr="6"][data-view="2"] bullet[data-ref="1"] i.active {
    display: block;
}

scroller[data-curr="1"] bullet[data-ref="1"] i.inactive,
scroller[data-curr="1"][data-view="2"] bullet[data-ref="2"] i.inactive,
scroller[data-curr="2"] bullet[data-ref="2"] i.inactive,
scroller[data-curr="2"][data-view="2"] bullet[data-ref="3"] i.inactive,
scroller[data-curr="3"] bullet[data-ref="3"] i.inactive,
scroller[data-curr="3"][data-view="2"] bullet[data-ref="4"] i.inactive,
scroller[data-curr="4"] bullet[data-ref="4"] i.inactive,
scroller[data-curr="4"][data-view="2"] bullet[data-ref="5"] i.inactive,
scroller[data-curr="5"] bullet[data-ref="5"] i.inactive,
scroller[data-curr="5"][data-view="2"] bullet[data-ref="6"] i.inactive,
scroller[data-curr="6"] bullet[data-ref="6"] i.inactive,
scroller[data-curr="6"][data-view="2"] bullet[data-ref="1"] i.inactive {
    display: none;
}

/* Responded Scroller (Tablet Landscape) */
@media only screen and (min-width: 769px) and (max-width: 1001px) {
    scroller {
        height: calc((((50vw - 10px) / 2) * 0.5625) + 40px);
    }

    scroller block {
        width: calc(7 * (50vw - 4px)); /* 10px - 6px padding */
    }

    scroller block,
    scroller article {
        height: calc((((50vw - 10px) / 2) * 0.5625) + 20px);
    }

    scroller article {
        width: calc(50vw - 16px);
    }

    scroller thumbnail {
        height: 0;
        padding-top: 28.125%; /* Maintain 16:9 aspect ratio */
        width: 50%;
    }

    scroller publisher {
        left: calc(50% + 3px);
    }

    scroller summary {
        height: calc((((50vw - 10px) / 2) * 0.5625) - 16px);
        width: 50%;
    }

    scroller h4 {
        font-size: 11px;
    }

    scroller[data-curr="2"] block {
        left: calc(10px - 50vw);
    }
    scroller[data-curr="3"] block {
        left: calc(20px - 100vw);
    }
    scroller[data-curr="4"] block {
        left: calc(30px - 150vw);
    }
    scroller[data-curr="5"] block {
        left: calc(40px - 200vw);
    }
    scroller[data-curr="6"] block {
        left: calc(50px - 250vw);
    }
}

/* Responded Scroller (Tablet Portrait / Mobile) */
@media only screen and (max-width: 768px) {
    scroller {
        height: 179px;
    }

    scroller h4 {
        height: 18px;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    scroller block {
        width: calc(6 * (100vw - 6px)); /* 12px - 6px padding */
    }

    scroller block,
    scroller article {
        height: 157px;
    }

    scroller article {
        width: calc(100vw - 26px);
    }

    scroller article:last-of-type {
        display: none;
    }

    scroller summary {
        height: 122px;
        padding-top: 27px;
        width: calc(100vw - 273px);
    }

    scroller time {
        left: 251px;
        top: 33px;
    }

    scroller[data-curr="2"] block {
        left: calc(20px - 100vw);
    }
    scroller[data-curr="3"] block {
        left: calc(40px - 200vw);
    }
    scroller[data-curr="4"] block {
        left: calc(60px - 300vw);
    }
    scroller[data-curr="5"] block {
        left: calc(80px - 400vw);
    }
    scroller[data-curr="6"] block {
        left: calc(100px - 500vw);
    }
}

/* Article List */
.articles article {
    height: 100%;
    margin: 0 1px 2px !important;
    min-height: 90px;
    position: relative;
}

.articles h4,
.articles summary {
    position: relative;
}

.articles h4,
.articles summary,
.articles publisher,
.articles time {
    margin-left: 163px;
}

.articles publisher,
.articles time,
.articles a.more {
    bottom: 2px;
    color: #333333;
    padding-top: 1px;
    position: absolute;
}

.articles thumbnail {
    height: 90px;
    left: 3px;
    position: absolute;
    top: 3px;
    width: 160px;
}

.articles h4 {
    margin-top: 0;
    text-align: center;
}

.articles summary {
    padding-bottom: 18px;
}

.articles time {
    border-top: 1px dashed #bbbbbb;
    box-sizing: border-box;
    font-style: italic;
    text-align: center;
    width: calc(100% - 168px);
}

.articles a.more {
    right: 3px;
}

/* Responded Article (Mobile) */
@media only screen and (max-width: 480px) {
    .articles summary {
        padding-bottom: 32px;
    }

    .articles time {
        bottom: 18px;
        text-align: right;
    }
}

/* Pagination */
pagination {
    display: block;
    margin: 0 0 2px;
}

pagination ul {
    margin-right: 1px !important;
}

/* Article loader */
articles.loading {
    display: inline-block;
    position: relative;
}

articles.loading:before {
    background-color: #666666;
    content: " ";
    display: block;
    height: calc(100% - 33px);
    opacity: 0.5;
    position: absolute;
    width: 100%;
    z-index: 1;
}
